# Class MoneyBeamAccountPayload

#### Hierarchy

- unknown
  - MoneyBeamAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4586
- Defined in src/protobuf/pb_pb.d.ts:4598

#####
Index

### Constructors

constructor

### Methods

getAccountId
serializeBinary
setAccountId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MoneyBeamAccountPayload(): MoneyBeamAccountPayload

- #### Returns MoneyBeamAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getAccountId

- getAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4587

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4590

### setAccountId

- setAccountId(value: string): MoneyBeamAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns MoneyBeamAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4588

### toObject

- toObject(includeInstance?: boolean): MoneyBeamAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MoneyBeamAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4591

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MoneyBeamAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MoneyBeamAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4594

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MoneyBeamAccountPayload, reader: BinaryReader): MoneyBeamAccountPayload

- #### Parameters

  - ##### message: MoneyBeamAccountPayload

  - ##### reader: BinaryReader

  #### Returns MoneyBeamAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4595

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MoneyBeamAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MoneyBeamAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4593

### `Static` toObject

- toObject(includeInstance: boolean, msg: MoneyBeamAccountPayload): MoneyBeamAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MoneyBeamAccountPayload

  #### Returns MoneyBeamAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4592

Generated using TypeDoc